Name:		fence-agents
Version:	4.5.1
Release:	%mkrel 2
Summary:	Fencing agents for cluster suite
Group:		System/Kernel and hardware
URL:		https://fedorahosted.org/cluster/wiki/HomePage
Source:		https://github.com/ClusterLabs/fence-agents/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2

BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(corosync)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pexpect
BuildRequires:	python3-boto3
BuildRequires:	python3-curl
BuildRequires:	python3-google-api-python-client
BuildRequires:	python3-keystoneauth1
BuildRequires:	python3-requests
BuildRequires:	python3-suds
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	perl(Net::Telnet)

Requires:	sg3_utils
Requires:	netkit-telnet
Requires:	openssh-clients
Requires:	python3-pexpect
Requires:	python3-boto3
Requires:	python3-curl
Requires:	python3-google-api-python-client
Requires:	python3-keystoneauth1
Requires:	python3-suds
Requires:	net-snmp-utils
Requires:	perl-Net-Telnet

Conflicts:	cman < 3.0.0

%description
Fence Agents is a collection of scripts to handle remote
power management for several devices.

%prep
%setup -q

%build
./autogen.sh
%configure PYTHON="%{__python3}"
%make_build

%install
%make_install

%files
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%{_sbindir}/fence_*
%{_datadir}/fence
%{_datadir}/cluster/*
%{_mandir}/man8/fence_*.8.*
%{_libexecdir}/fence_kdump_send


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.5.1-2.mga8
+ Revision: 1536671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 21 2019 daviddavid <daviddavid> 4.5.1-1.mga8
+ Revision: 1454932
- new version: 4.5.1
- port to python 3

* Sun Oct 07 2018 pterjan <pterjan> 4.3.0-1.mga7
+ Revision: 1318552
- Add missing BuildRequires
- Update to 4.3.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 4.0.10-4.mga6
+ Revision: 964003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.10-3.mga5
+ Revision: 748921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.10-2.mga5
+ Revision: 679153
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 sander85 <sander85> 4.0.10-1.mga5
+ Revision: 642260
- New version: 4.0.10

* Thu Jun 19 2014 sander85 <sander85> 4.0.9-1.mga5
+ Revision: 638147
- New version: 4.0.9

* Mon Oct 21 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 537004
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 4.0.3-1.mga4
+ Revision: 486143
- Version 4.0.3

* Fri Jan 11 2013 umeabot <umeabot> 3.1.8-3.mga3
+ Revision: 350190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 3.1.8-2.mga2
+ Revision: 232181
- fix requires

* Fri Apr 20 2012 boklm <boklm> 3.1.8-1.mga2
+ Revision: 232133
- version 3.1.8
- fix requires and build requires
- update URL

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99962
- imported package fence-agents


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.17-2mdv2011.0
+ Revision: 664299
- mass rebuild

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.17-1mdv2011.0
+ Revision: 585515
- buildrequire python-curl
- update to new version 3.0.17

* Tue Sep 07 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.16-1mdv2011.0
+ Revision: 576608
- update to new version 3.0.16
- Add fence_na.conf to files list

* Tue May 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.11-1mdv2010.1
+ Revision: 542052
- New version 3.0.11

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against nss-3.12.6

* Mon Jan 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.6-1mdv2010.1
+ Revision: 486172
- update to new version 3.0.6
- update to new version 3.0.5
- buildrequire xsltproc
-buildrequire python-pexpect
- update to new version 3.0.4

* Wed Oct 14 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 457374
- Buildrequire openais-devel and corosync-devel
- New version 3.0.3
- buildrequire the same version of cluster-devel
- import fence-agents


